Exiv2::Internal::CanonMakerNote Class Reference

MakerNote for Canon cameras. More...

`#include <canonmn_int.hpp>`

## Static Public Member Functions

static const TagInfo * | tagList ()
| Return read-only list of built-in Canon tags.
static const TagInfo * | tagListCs ()
| Return read-only list of built-in Canon Camera Settings tags.
static const TagInfo * | tagListSi ()
| Return read-only list of built-in Canon Shot Info tags.
static const TagInfo * | tagListPa ()
| Return read-only list of built-in Canon Panorama tags.
static const TagInfo * | tagListCf ()
| Return read-only list of built-in Canon Custom Function tags.
static const TagInfo * | tagListPi ()
| Return read-only list of built-in Canon Picture Info tags.
static const TagInfo * | tagListTi ()
| Return read-only list of built-in Canon Time Info tags.
static const TagInfo * | tagListFi ()
| Return read-only list of built-in Canon File Info tags.
static const TagInfo * | tagListPr ()
| Return read-only list of built-in Canon Processing Info tags.
static const TagInfo * | tagListMv ()
| Return read-only list of built-in Canon Movie Info tags.
static const TagInfo * | tagListMc ()
| Return read-only list of built-in Canon My Colors Info tags.
static const TagInfo * | tagListAf3 ()
| Return read-only list of built-in Canon AFInfo3 Info tags.
static const TagInfo * | tagListFcd3 ()
| Return read-only list of built-in Canon Face detection Info tags.
static const TagInfo * | tagListWbi ()
| Return read-only list of built-in Canon White balance Info tags.
static const TagInfo * | tagListCo ()
| Return read-only list of built-in Canon Contrast Info tags.
static const TagInfo * | tagListFcd2 ()
| Return read-only list of built-in Canon Face detection 1 Info tags.
static const TagInfo * | tagListFcd1 ()
| Return read-only list of built-in Canon Face detection 2 Info tags.
static const TagInfo * | tagListAs ()
| Return read-only list of built-in Canon Aspect Info tags.
static const TagInfo * | tagListCbi ()
| Return read-only list of built-in Canon Balance Info tags.
static const TagInfo * | tagListFl ()
| Return read-only list of built-in Canon Flags Info tags.
static const TagInfo * | tagListMo ()
| Return read-only list of built-in Canon Modified On Info tags.
static const TagInfo * | tagListPreI ()
| Return read-only list of built-in Canon Preview Image Info tags.
static const TagInfo * | tagListCi ()
| Return read-only list of built-in Canon Color Info tags.
static const TagInfo * | tagListAfMiAdj ()
| Return read-only list of built-in Canon AFMicroAdjMode Quality Info tags.
static const TagInfo * | tagListVigCor ()
| Return read-only list of built-in Canon VignettingCorr Info tags.
static const TagInfo * | tagListVigCor2 ()
| Return read-only list of built-in Canon VignettingCorr2 Info tags.
static const TagInfo * | tagListLiOp ()
| Return read-only list of built-in Canon LightingOpt Info tags.
static const TagInfo * | tagListLe ()
| Return read-only list of built-in Canon LensInfo Info tags.
static const TagInfo * | tagListAm ()
| Return read-only list of built-in Canon Ambience Info tags.
static const TagInfo * | tagListMe ()
| Return read-only list of built-in Canon MultiExposureControl Info tags.
static const TagInfo * | tagListFil ()
| Return read-only list of built-in Canon Filter Info tags.
static const TagInfo * | tagListHdr ()
| Return read-only list of built-in Canon HDR Info tags.
static const TagInfo * | tagListAfC ()
| Return read-only list of built-in Canon AFConfig Info tags.
static const TagInfo * | tagListRawB ()
| Return read-only list of built-in Canon RawBurstInfo Info tags.
static const TagInfo * | tagListAf2 ()
| Return read-only list of built-in Canon AFInfo2 Info tags.

## Print functions for Canon MakerNote tags

static std::ostream & | printFiFileNumber (std::ostream &os, const Value &value, const ExifData *metadata)
| Print the FileInfo FileNumber.
static std::ostream & | printFocalLength (std::ostream &os, const Value &value, const ExifData *)
| Print the focal length.
static std::ostream & | print0x0008 (std::ostream &os, const Value &value, const ExifData *)
| Print the image number.
static std::ostream & | print0x000c (std::ostream &os, const Value &value, const ExifData *)
| Print the serial number of the camera.
static std::ostream & | printCs0x0002 (std::ostream &os, const Value &value, const ExifData *)
| Self timer.
static std::ostream & | printCsLensType (std::ostream &os, const Value &value, const ExifData *metadata)
| Camera lens type. For some values, the exact type can only be determined if metadata is provided. More...
static std::ostream & | printCsLens (std::ostream &os, const Value &value, const ExifData *)
| Camera lens information.
static std::ostream & | printSi0x0001 (std::ostream &os, const Value &value, const ExifData *)
| AutoISO speed used.
static std::ostream & | printSi0x0002 (std::ostream &os, const Value &value, const ExifData *)
| ISO speed used.
static std::ostream & | printSi0x0003 (std::ostream &os, const Value &value, const ExifData *)
| MeasuredEV.
static std::ostream & | printSi0x0009 (std::ostream &os, const Value &value, const ExifData *)
| Sequence number.
static std::ostream & | printSi0x000c (std::ostream &os, const Value &value, const ExifData *)
| Ambient Temperature.
static std::ostream & | printSi0x000d (std::ostream &os, const Value &value, const ExifData *)
| Flash Guide Number.
static std::ostream & | printSi0x000e (std::ostream &os, const Value &value, const ExifData *pExifData)
| AF point used.
static std::ostream & | printSi0x0013 (std::ostream &os, const Value &value, const ExifData *)
| Subject distance.
static std::ostream & | printSi0x0015 (std::ostream &os, const Value &value, const ExifData *)
| Aperture.
static std::ostream & | printSi0x0016 (std::ostream &os, const Value &value, const ExifData *)
| Shutter speed.
static std::ostream & | printSi0x0017 (std::ostream &os, const Value &value, const ExifData *)
| MeasuredEV2.
static std::ostream & | printSi0x0018 (std::ostream &os, const Value &value, const ExifData *)
| Bulb Duration.
static std::ostream & | printFiFocusDistance (std::ostream &os, const Value &value, const ExifData *)
| Focus Distance.

## Detailed Description

MakerNote for Canon cameras.

## Member Function Documentation

## printCsLensType()

std::ostream & Exiv2::Internal::CanonMakerNote::printCsLensType | ( | std::ostream & | os,
|  | const Value & | value,
|  | const ExifData * | metadata
| ) |  |

static

Camera lens type. For some values, the exact type can only be determined if metadata is provided.

printCsLensType by searching the config file if necessary

References Exiv2::Internal::canonCsLensType, Exiv2::Value::count(), Exiv2::Internal::LensIdFct::fct_, Exiv2::find(), Exiv2::Internal::lensIdFct, Exiv2::Internal::readExiv2Config(), Exiv2::Value::toLong(), Exiv2::Value::toString(), Exiv2::Value::typeId(), Exiv2::undefined, and Exiv2::unsignedShort.

The documentation for this class was generated from the following files:

- canonmn_int.hpp
- canonmn_int.cpp